DataInputControllerUpdateDataStorageRecords Method |
PUT /DataInput/DataStorageRecords/
Updates a data storage records.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("DataStorageRecords")]
public HttpResponseMessage UpdateDataStorageRecords(
[FromBodyAttribute] DataStorageUpdateRecordsOptions options,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("DataStorageRecords")>
Public Function UpdateDataStorageRecords (
<FromBodyAttribute> options As DataStorageUpdateRecordsOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"DataStorageRecords")]
HttpResponseMessage^ UpdateDataStorageRecords(
[FromBodyAttribute] DataStorageUpdateRecordsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("DataStorageRecords")>]
member UpdateDataStorageRecords :
[<FromBodyAttribute>] options : DataStorageUpdateRecordsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDataStorageUpdateRecordsOptions
The data to be provided for updating of the storage records. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A status code indicating success or the reason for failure.
See Also